View Issue Details

IDProjectCategoryView StatusLast Update
0003663SymmetricDSBugpublic2018-08-13 17:04
ReportermmichalekAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.7.33 
Target Version3.9.11Fixed in Version3.9.11 
Summary0003663: DB2 9.5 on Linux doesn't support to_clob
DescriptionIt does appear to support clob(), but not to_clob().

This was noted when Symmetric tries to create the INSERT trigger for sym_file_snapshot, this error message was given:

SQLCODE=-440, SQLSTATE=42884, SQLERRMC=TO_CLOB

This appears to have been introduced in bout 3.7.33 with this change:
0002584: Improve capture of LOBs and wide tables on DB2

Relationships

related to 0002584 closedelong Improve capture of LOBs and wide tables on DB2 

Activities

mmichalek

2018-08-03 17:50

administrator  

to_clob.jpg (421,358 bytes)

Related Changesets

SymmetricDS: 3.9 1b154d18

2018-08-08 08:52:10

admin

Details Diff
0003663: DB2 9.5 on Linux doesn't support to_clob
0003663
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2018-08-03 17:33 mmichalek New Issue
2018-08-03 17:34 mmichalek Description Updated View Revisions
2018-08-03 17:34 mmichalek Relationship added related to 0002584
2018-08-03 17:50 mmichalek File Added: to_clob.jpg
2018-08-08 09:00 admin Changeset attached => SymmetricDS 3.9 1b154d18
2018-08-08 10:21 elong Assigned To => elong
2018-08-08 10:21 elong Status new => assigned
2018-08-08 10:21 elong Status assigned => resolved
2018-08-08 10:21 elong Resolution open => fixed
2018-08-08 10:21 elong Fixed in Version => 3.9.11
2018-08-08 10:21 elong Target Version => 3.9.11
2018-08-13 17:04 mmichalek Status resolved => closed